using System;

public class Chat
{
    uint _age; // par défaut Private!!
    private const uint AgeMaximum = 100;

    public String Crier()
    {
     return ("Miaouuu j'ai "+this.GetAge()+" ans");    
    }
   
    // Accesseur
    public void SetAge(uint age)
    {
        if (age < AgeMaximum)
        {
            _age = age;
        }
        else
        {
            throw new ArgumentException("Age incohérent");
        }
    }
    public uint GetAge()
    { return (_age); }
}

class Program
{
    static void Main(string[] args)
    {
        Chat unMatou = new Chat();
        unMatou.SetAge(130);
        unMatou.Crier();
        Console.WriteLine("le matou a " + unMatou.GetAge() + " ans");
        Console.ReadKey();
    }
}
